﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Post6541._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script type="text/javascript">
        var simpleMarkerOverlay = null;
        var tgMap = null;
        var addMode = false;
        var markerId = 1;

        var OnMapCreated = function(map) {

            tgMap = map;
            if (simpleMarkerOverlay == null) {
                simpleMarkerOverlay = new OpenLayers.Layer.Markers("SimpleMarkerOverlay");
                map.addLayer(simpleMarkerOverlay);
            }
        }

        function AddLabel(e) {
            if (document.getElementById('isAddLabel').value == 'true') {
                var pixel = new OpenLayers.Pixel(e.clientX, e.clientY);
                var lonlat = tgMap.getLonLatFromPixel(pixel);
                AddEnterLabel(lonlat);
            }
        }

        function AddEnterLabel(lonlat) {

            var size = new OpenLayers.Size(15, 17);
            var offset = new OpenLayers.Pixel(-(size.w / 2), -size.h);
            var icon = new OpenLayers.Icon('theme/default/img/marker_blue.gif', size, offset);
            var marker = new OpenLayers.Marker(lonlat, icon);
            marker.id = markerId;

            marker.events.register('click', marker, function() {

                if (document.getElementById('isRemoveMarker').value == 'true') {

                    simpleMarkerOverlay.removeMarker(this);
                    RemoveRelatedPopup(this.id);
                }

            });

            simpleMarkerOverlay.addMarker(marker);

            var content = "<input type='text'></input>";
            var popup = new OpenLayers.Popup("inputText",
                   lonlat,
                   new OpenLayers.Size(200, 200),
                   content,
                   false);

            popup.id = markerId;
            popup.backgroundColor = 'Transparent';
            tgMap.addPopup(popup);
            markerId += 1;
        }

        function RemoveRelatedPopup(markerId) {

            if (tgMap.popups.length > 0) {

                for (var index = 0; index < tgMap.popups.length; index++) {
                    if (tgMap.popups[index].id == markerId) {
                        tgMap.removePopup(tgMap.popups[index]);
                    }
                }
            }
        }

        function SetFlag() {
            if (document.getElementById('isAddLabel').value == 'false') {
                document.getElementById('isAddLabel').value = 'true';
                document.getElementById('isRemoveMarker').value = 'false';
            }
        }

        function SetRemoveFlag() {
            if (document.getElementById('isRemoveMarker').value == 'false') {
                document.getElementById('isAddLabel').value = 'false';
                document.getElementById('isRemoveMarker').value = 'true';
            }
        } 
        
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div id="wholeMap">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" OnClientClick="AddLabel" Height="480px" Width="640px">
        </cc1:Map>
        <div>
            <input type="button" id="btnAddEnterLabel" onclick="SetFlag()" value="AddMarker" />
            <input type="button" id="btnRemoveMarker" onclick="SetRemoveFlag()" value="RemoveMarker" />
        </div>
        <input type="hidden" id="isAddLabel" value="false" />
        <input type="hidden" id="isRemoveMarker" value="false" />
    </div>
    </form>
</body>
</html>
